netatalk: ad_flush.c File Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
ad_flush.c File Reference
`#include <arpa/inet.h>`
`#include <errno.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <atalk/adouble.h>`
`#include <atalk/ea.h>`
`#include <atalk/errchk.h>`
`#include <atalk/logger.h>`
`#include <atalk/unix.h>`
`#include <atalk/util.h>`

## Macros
#define | EID_DISK(a)

## Functions
int | ad_rebuild_adouble_header_v2 (struct adouble *ad)
int | ad_rebuild_adouble_header_ea (struct adouble *ad)
int | ad_rebuild_adouble_header_osx (struct adouble *ad, char *adbuf)
int | ad_copy_header (struct adouble *add, struct adouble *ads)
static int | ad_flush_hf (struct adouble *ad)
static int | ad_flush_rf (struct adouble *ad)
| Flush resofork adouble file if any.
int | ad_flush (struct adouble *ad)
static int | ad_data_closefd (struct adouble *ad)
int | ad_close (struct adouble *ad, int adflags)

## Variables
static const uint32_t | set_eid []

## Macro Definition Documentation

## ◆ EID_DISK

#define EID_DISK | ( |  | a | ) |

Value:
(set_eid[a])
set_eid
static const uint32_t set_eid[]
Definition ad_flush.c:42

## Function Documentation

## ◆ ad_close()

int ad_close | ( | struct adouble * | ad,
|  | int | adflags )

Close a struct adouble freeing all resources

## ◆ ad_copy_header()

int ad_copy_header | ( | struct adouble * | add,
|  | struct adouble * | ads )

## ◆ ad_data_closefd()

int ad_data_closefd | ( | struct adouble * | ad | ) |
| static

## ◆ ad_flush()

int ad_flush | ( | struct adouble * | ad | ) |

## ◆ ad_flush_hf()

int ad_flush_hf | ( | struct adouble * | ad | ) |
| static

## ◆ ad_flush_rf()

int ad_flush_rf | ( | struct adouble * | ad | ) |
| static

Flush resofork adouble file if any.

Note
  currently adouble:ea and #ifndef HAVE_EAFD e.g. Linux

## ◆ ad_rebuild_adouble_header_ea()

int ad_rebuild_adouble_header_ea | ( | struct adouble * | ad | ) |

## ◆ ad_rebuild_adouble_header_osx()

int ad_rebuild_adouble_header_osx | ( | struct adouble * | ad,
|  | char * | adbuf )

Prepare adbuf buffer from struct adouble for writing on disk

## ◆ ad_rebuild_adouble_header_v2()

int ad_rebuild_adouble_header_v2 | ( | struct adouble * | ad | ) |

Prepare ad->ad_data buffer from struct adouble for writing on disk

## Variable Documentation

## ◆ set_eid

const uint32_t set_eid[]
| static

Initial value:
= {
0, 1, 2, 3, 4, 5, 6, 7, 8,
9, 10, 11, 12, 13, 14, 15,
AD_DEV, AD_INO, AD_SYN, AD_ID
}
AD_SYN
#define AD_SYN
Definition adouble.h:80
AD_INO
#define AD_INO
Definition adouble.h:79
AD_ID
#define AD_ID
Definition adouble.h:81
AD_DEV
#define AD_DEV
Definition adouble.h:78